#21 dk-milter timeouts (5 minutes) on some mails...

v0.2.4
closed
5
2005-03-01
2004-12-28
No

Sometimes, not to often, i get this error in my
sendmail log:

Dec 28 14:24:31 aries sendmail[1142]: [ID 801593
mail.error] iBSDJChu001142: Milter (dk-filter): timeout
before data read
Dec 28 14:24:31 aries sendmail[1142]: [ID 801593
mail.info] iBSDJChu001142: Milter (dk-filter): to error
state

I supose it's the milter timeout values, which i have
set to the following:

INPUT_MAIL_FILTER(`dk-filter', `S=inet:5555@localhost,
T=S:5m;R:5m')dnl

Dec 28 14:19:12 aries sendmail[1142]: [ID 801593
mail.info] iBSDJChu001142: Milter (dk-filter): init
success to negotiate
Dec 28 14:19:12 aries sendmail[1142]: [ID 801593
mail.info] iBSDJChu001142: Milter: connect to filters
Dec 28 14:19:17 aries sendmail[1142]: [ID 801593
mail.info] iBSDJChu001142: Authentication-Warning:
aries.vattenfall.se: Host [213.235.199.138] claimed to
be 8ung.at
Dec 28 14:19:18 aries sendmail[1142]: [ID 801593
mail.info] iBSDJChu001142: from=<>, size=1876, class=0,
nrcpts=1,
msgid=<200412281319.iBSDJChu001142@mx1.vattenfall.se>,
proto=SMTP, daemon=MTA-v4, relay=[213.235.199.138]
Dec 28 14:24:31 aries sendmail[1142]: [ID 801593
mail.error] iBSDJChu001142: Milter (dk-filter): timeout
before data read
Dec 28 14:24:31 aries sendmail[1142]: [ID 801593
mail.info] iBSDJChu001142: Milter (dk-filter): to error
state
Dec 28 14:24:31 aries sendmail[2043]: [ID 801593
mail.info] iBSDJChu001142:
to=<spencercollins62@swedpower.vattenfall.se>,
delay=00:05:13, xdelay=00:00:00, mailer=relay,
pri=121876, relay=orion.vattenfall.se. [151.156.10.12],
dsn=2.0.0, stat=Sent (iBSDOVHR016598 Message accepted
for delivery)

5 minutes is pretty long time, for doing nothing (this
sub-domain isn't supposed to be domainkey-checked).
This is some sort of spam-mail, cause the recipent does
not exist.

Re,
/P

Discussion

  • Anonymous

    Anonymous - 2004-12-30
    • milestone: --> v0.2.4
    • summary:
      dk-milter timeouts (5 minutes) on some mails... --> dk-milter timeouts (5 minutes) on some mails...
     
  • Anonymous

    Anonymous - 2004-12-30

    Logged In: YES
    user_id=1048957

    Right now I suspect a deadlock problem in libar, but that's
    only a hunch. I don't have any evidence so far.

     
  • Anonymous

    Anonymous - 2004-12-30
    • labels: --> Functionality
    • assigned_to: nobody --> sm-msk
     
  • Fredrik Pettai

    Fredrik Pettai - 2005-01-04

    Logged In: YES
    user_id=370342

    Okay, perhaps its possible to regenerate the errors with the
    binary + libraries i posted in the other bugreport?

    Is there any more that i can do?
    truss the dk-filter process?

    Re,
    /P

     
  • Anonymous

    Anonymous - 2005-02-03

    Logged In: YES
    user_id=1048957

    Is there a particular message that reproduces this problem?

    I'll try to create one from the data included in your log,
    but real data is always better.

     
  • Fredrik Pettai

    Fredrik Pettai - 2005-02-03

    Logged In: YES
    user_id=370342

    I'll see if i can catch anything, but i'm not sure.
    I didn't see any legal mail having this trouble...yet.
    I'll dig the old logs for more info...

    Re,
    /P

     
  • Anonymous

    Anonymous - 2005-02-03

    Logged In: YES
    user_id=1048957

    When it gets like this, what does a truss of dk-filter show?

     
  • Fredrik Pettai

    Fredrik Pettai - 2005-02-28

    Logged In: YES
    user_id=370342

    This seams to happen mostly then receiving email from
    senders like: from=<> (DSN messages)
    from=<owner-EUBREAKINGNEWS*marcel*-galjee**VATTENFALL*-NL@CNNIMAIL12.CNN.COM>

    or:
    postmaster@<random_domain_name>
    Mailer-Daemon@<random_domain_name>

    But there are some normal looking senders.
    dig -t TXT seams to work on most of the domains.

    Re,
    /P

     
  • Anonymous

    Anonymous - 2005-02-28

    Logged In: YES
    user_id=1048957

    Is USE_ARLIB in use for this build? It's off by default for
    dk-filter.

    If not, then the system resolver is, and it has no reliable
    timeout control, and queries can clobber each other.

     
  • Fredrik Pettai

    Fredrik Pettai - 2005-02-28

    Logged In: YES
    user_id=370342

    dk-filter compiled with USE_ARLIB. Lets see if the error
    symptoms disappear...

     
  • Fredrik Pettai

    Fredrik Pettai - 2005-03-01

    Logged In: YES
    user_id=370342

    Yes, this must be a "dk-milter using Solaris native
    resolver" problem.
    Thanks for pointing that out...

    /P

     
  • Fredrik Pettai

    Fredrik Pettai - 2005-03-01
    • status: open --> closed
     

Log in to post a comment.